Skip to content

Re-wrap every volume off a key

POST/volumes/rewrap

Re-wraps every volume currently on from_key_id to to_key_id — rotate a key off so it can be retired.

Request bodyapplication/json
BulkRewrapRequest
from_key_idstring
to_key_idstring
Responses
200 OKOK
BulkRewrapResponse
rewrappedinteger
400 Bad requestBad Request
ErrorResponse
codestring
errorstring
501 Not Implemented
ErrorResponse
codestring
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
POST/volumes/rewrap
cURL
curl '/volumes/rewrap' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
POST/volumes/rewrap
Request
Authorization
curl '/volumes/rewrap' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
Send a request to see the response.
Response
200 OK
{
  "rewrapped": 0
}
Was this page helpful?